# Exit Market

Exit a market - it is not an error to exit a market which is not currently entered. Exited markets will not count towards account liquidity calculations.

**Comptroller**

```
function exitMarket(address aToken) returns (uint)
```

* `msg.sender`: The account which shall exit the given market.
* `aTokens`: The addresses of the aToken market to exit.
* `RETURN`: 0 on success, otherwise an [Error code](/comptroller/error-codes.md).

**Solidity**

```
Comptroller troll = Comptroller(0xABCD...);
uint error = troll.exitMarket(SToken(0x3FDA...));
```

**Web3 1.0**

```javascript
const troll = Comptroller.at(0xABCD...);
const errors = await troll.methods.exitMarket(SEther.at(0x3FDB...)).send({from: ...});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.agilefi.org/comptroller/exit-market.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
